Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.eindex.master.search.audit
Class AuditDataObject

    java.lang.Object
      com.stc.eindex.objects.ObjectNode
          com.stc.eindex.master.search.audit.AuditDataObject

All Implemented Interfaces:
  java.io.Externalizable, java.io.Serializable

public class AuditDataObject
extends ObjectNode

The AuditDataObject class represents an object containing an audit log summary returned by a call to lookupAuditLog. An audit log search returns an iterator of AuditDataObject objects.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.stc.eindex.objects.ObjectNode
`indexMap, mChildrenHashMap, mChildTags, mFields, mParent, mParentTag, mPartOfIndex, mPosition, mTag, mVersion`

Constructor Summary
`AuditDataObject()` Creates a new instance of the AuditDataObject class.
`AuditDataObject(java.lang.String id, java.lang.String primaryObjectType, java.lang.String euid1, java.lang.String euid2, java.lang.String function, java.lang.String detail, java.util.Date createDate, java.lang.String createUser)` Creates a new instance of the AuditDataObject class.

Method Summary
`java.sql.Date` | `getCreateDate()` Retrieves the date the audit log entry was created from the audit data object.
`java.lang.String` | `getCreateUser()` Retrieves the create user ID from the audit data object.
`java.lang.String` | `getDetail()` Retrieves the detail information from the audit data object.
`java.lang.String` | `getEUID1()` Retrieves the value of the primary EUID from the audit data object.
`java.lang.String` | `getEUID2()` Retrieves the value of the second EUID from the audit data object.
`java.lang.String` | `getFunction()` Retrieves the function type from the audit data object.
`java.lang.String` | `getId()` Retrieves the value of the audit log ID from the audit data object.
`java.lang.String` | `getPrimaryObjectType()` Retrieves the primary object type from the audit data object.
`java.lang.String` | `toString()` Retrieves a string representation of the audit log ID, EUID1, EUID2, function, and detail fields from the audit data object.

Methods inherited from class com.stc.eindex.objects.ObjectNode
`add, addChild, addChildHard, addChildNoFlagSet, addChildren, addChildToTypeArrayList, clearChildrenForType, clearField, copy, createChildIndex, deleteChild, deleteChild, equals, getAllChildrenFromHashMap, getChild, getChild, getChildKey, getChildrenForType, getChildSuperKey, getField, getFieldTypes, getFlag, getObjectId, getParent, getParentTag, getValue, getValueObject, hasFieldReadAccess, hasFieldUpdateAccess, hashCode, hasObjectAddAccess, hasObjectDeleteAccess, hasObjectReadAccess, hasObjectUpdateAccess, isAdded, isChanged, isKeyChanged, isKeyIndexable, isKeyType, isKeyValid, isNew, isNull, isNullable, isRegularKeyIndexable, isRemoved, isSearched, isUpdated, isVisible, obtainKey, obtainSuperKey, pGetChildren, pGetChildren, pGetChildTags, pGetFieldNames, pGetFields, pGetFieldUpdateLogs, pGetFieldValues, pGetFlagString, pGetKey, pGetSuperKey, pGetTag, pGetType, pGetType, readExternal, recalculateIndex, removeChild, removeChild, removeChildForType, removeChildIndex, removeChildren, removeChildren, reset, resetAll, setAddFlag, setChanged, setFieldReadAccess, setFieldUpdateAccess, setFieldUpdateLogs, setFlag, setKey, setKeyChangeFlag, setKeyType, setNull, setNullable, setObjectAddAccess, setObjectDeleteAccess, setObjectReadAccess, setObjectUpdateAccess, setParent, setRemoveFlag, setSearched, setUpdateFlag, setValue, setVisible, structCopy, unChange, update, updateChild, updateIfChanged, updateIfNotEqual, updateIfNotNull, updateIfNotNull, writeExternal`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AuditDataObject

    public AuditDataObject()

  Creates a new instance of the AuditDataObject class.

  Parameters:
    None.

### AuditDataObject

    public AuditDataObject(java.lang.String id,
                           java.lang.String primaryObjectType,
                           java.lang.String euid1,
                           java.lang.String euid2,
                           java.lang.String function,
                           java.lang.String detail,
                           java.util.Date createDate,
                           java.lang.String createUser)
                    throws ObjectException

  Creates a new instance of the AuditDataObject class.

  Parameters:
    `id` - An audit log ID.
    `primaryObjectType` - The primary object type of the master index application.
    `euid1` - The primary EUID in an audit log entry.
    `euid2` - The second EUID in an audit log entry (for example, the unkept EUID from a merge transaction).
    `function` - The type of function that caused the audit log entry.
    `detail` - The detail information for the audit log entry.
    `createDate` - The date the audit log entry was created.
    `createUser` - The logon ID of the user who performed the transaction that caused the audit log entry.
  Throws:
    `ObjectException` - Thrown if an error occurs while creating the AuditDataObject object.

Method Detail

### getCreateDate

    public java.sql.Date getCreateDate()
                                throws ObjectException

  Retrieves the date the audit log entry was created from the audit data object.

  Parameters:
    None.

  Returns:
    `java.sql.Date` - The create date of the audit log entry.
  Throws:
    `ObjectException` - Thrown if the date could not be retrieved.

### getCreateUser

    public java.lang.String getCreateUser()
                                   throws ObjectException

  Retrieves the create user ID from the audit data object.

  Parameters:
    None.

  Returns:
    `String` - A user logon ID.
  Throws:
    `ObjectException` - Thrown if the user ID could not be retrieved.

### getDetail

    public java.lang.String getDetail()
                               throws ObjectException

  Retrieves the detail information from the audit data object.

  Parameters:
    None.

  Returns:
    `String` - Audit log entry detail information.
  Throws:
    `ObjectException` - Thrown if the detail information could not be retrieved.

### getEUID1

    public java.lang.String getEUID1()
                              throws ObjectException

  Retrieves the value of the primary EUID from the audit data object.

  Parameters:
    None.

  Returns:
    `String` - An EUID.
  Throws:
    `ObjectException` - Thrown if the EUID could not be retrieved.

### getEUID2

    public java.lang.String getEUID2()
                              throws ObjectException

  Retrieves the value of the second EUID from the audit data object.

  Parameters:
    None.

  Returns:
    `String` - An EUID.
  Throws:
    `ObjectException` - Thrown if the EUID could not be retrieved.

### getFunction

    public java.lang.String getFunction()
                                 throws ObjectException

  Retrieves the function type from the audit data object.

  Parameters:
    None.

  Returns:
    `String` - A function type.
  Throws:
    `ObjectException` - Thrown if the function could not be retrieved.

### getId

    public java.lang.String getId()
                           throws ObjectException

  Retrieves the value of the audit log ID from the audit data object.

  Parameters:
    None.

  Returns:
    `String` - The value of the audit log ID.
  Throws:
    `ObjectException` - Thrown if the ID could not be retrieved.

### getPrimaryObjectType

    public java.lang.String getPrimaryObjectType()
                                          throws ObjectException

  Retrieves the primary object type from the audit data object.

  Parameters:
    None.

  Returns:
    `String` - The primary object type of the master index application.
  Throws:
    `ObjectException` - Thrown if the primary object type could not be retrieved.

### toString

    public java.lang.String toString()

  Retrieves a string representation of the audit log ID, EUID1, EUID2, function, and detail fields from the audit data object.

  Parameters:
    None.

  Overrides:
    `toString` in class `ObjectNode`
  Returns:
    `String` - A string containing field values from the audit data object.
  Throws:
    None.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007 by Sun Microsystems, Inc. All Rights Reserved.